[Date Prev][Date Next] [Chronological] [Thread] [Top]

Re: openldap 2.3 recommended bdb version

--On Wednesday, June 22, 2005 10:32 AM -0400 Dusty Doris <openldap@mail.doris.cc> wrote:

Just wondering what the general consensus is on BDB versions for openldap
2.3.  In the past I have seen recomendations to stick with 4.2 with
patches.  However, I see the default version in openldap 2.3 is bdb 4.3.

What do you all recommend?

OpenLDAP 2.3 requires that you use the transactions patch to BDB 4.2.52 that's available from various locations (see <http://www.stanford.edu/services/directory/openldap/configuration/bdb-build-42.html> for example). I thought the patch was included somewhere in the OpenLDAP 2.3 source tarball, but I didn't see it when looking through the code.

As for BDB 4.3, I would still say use it at your own risk. :)


Quanah Gibson-Mount
Principal Software Developer
ITSS/Shared Services
Stanford University
GnuPG Public Key: http://www.stanford.edu/~quanah/pgp.html